This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 971264 - [abrt] WARNING: at net/mac80211/iface.c:737 ieee80211_do_stop+0x7b5/0x7f0 [mac80211]()
Summary: [abrt] WARNING: at net/mac80211/iface.c:737 ieee80211_do_stop+0x7b5/0x7f0 [ma...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:41a8f106a2edbeecf2cab6ec0e3...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 07:03 UTC by fhrach4
Modified: 2015-06-08 13:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 14:38:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (78.91 KB, text/plain)
2013-06-06 07:03 UTC, fhrach4
no flags Details

Description fhrach4 2013-06-06 07:03:32 UTC
Additional info:
reporter:       libreport-2.1.4
WARNING: at net/mac80211/iface.c:737 ieee80211_do_stop+0x7b5/0x7f0 [mac80211]()
Hardware name: LIFEBOOK TH700
Modules linked in: fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables arc4 ath9k ath9k_common acpi_cpufreq mperf coretemp snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support ath9k_hw snd_hda_codec_realtek uvcvideo kvm_intel videobuf2_vmalloc ath snd_hda_intel videobuf2_memops snd_hda_codec snd_hwdep kvm btusb snd_seq videobuf2_core mac80211 snd_seq_device bluetooth snd_pcm cfg80211 videodev media snd_page_alloc snd_timer snd microcode lpc_ich mei mfd_core fujitsu_tablet fujitsu_laptop serio_raw soundcore rfkill intel_ips binfmt_misc uinput i2c_i801 e1000e ptp pps_core i915 crc32c_intel firewire_ohci i2c_algo_bit sdhci_pci drm_kms_helper firewire_core sdhci drm mmc_core crc_itu_t yenta_socket i2c_core video
Pid: 6728, comm: kworker/1:2 Not tainted 3.9.4-200.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105f125>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f16a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa03c6055>] ieee80211_do_stop+0x7b5/0x7f0 [mac80211]
 [<ffffffff81661715>] ? _raw_spin_unlock_bh+0x15/0x20
 [<ffffffff81573ab1>] ? dev_deactivate_many+0x1f1/0x240
 [<ffffffffa03c60aa>] ieee80211_stop+0x1a/0x20 [mac80211]
 [<ffffffff8154f15d>] __dev_close_many+0x7d/0xc0
 [<ffffffff81550c78>] dev_close_many+0x88/0x100
 [<ffffffff81550d60>] dev_close+0x70/0x90
 [<ffffffffa0298a95>] cfg80211_rfkill_set_block+0x65/0xe0 [cfg80211]
 [<ffffffffa0298b36>] cfg80211_rfkill_sync_work+0x26/0x30 [cfg80211]
 [<ffffffff8107b7a3>] process_one_work+0x173/0x3c0
 [<ffffffff8107d0cf>] worker_thread+0x10f/0x390
 [<ffffffff8107cfc0>] ? busy_worker_rebind_fn+0xb0/0xb0
 [<ffffffff81082c70>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x20/0xb0
 [<ffffffff81082bb0>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff81669eac>] ret_from_fork+0x7c/0xb0
 [<ffffffff81082bb0>] ? kthread_create_on_node+0x120/0x120

Comment 1 fhrach4 2013-06-06 07:03:38 UTC
Created attachment 757502 [details]
File: dmesg

Comment 2 Michele Baldessari 2013-08-17 22:57:41 UTC
FWIW a good chunk of the backtrace is identical to https://bugzilla.redhat.com/show_bug.cgi?id=979828

 [<ffffffff8105f125>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f16a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa03c6055>] ieee80211_do_stop+0x7b5/0x7f0 [mac80211]
 [<ffffffff81661715>] ? _raw_spin_unlock_bh+0x15/0x20
 [<ffffffff81573ab1>] ? dev_deactivate_many+0x1f1/0x240
 [<ffffffffa03c60aa>] ieee80211_stop+0x1a/0x20 [mac80211]
 [<ffffffff8154f15d>] __dev_close_many+0x7d/0xc0
 [<ffffffff81550c78>] dev_close_many+0x88/0x100
 [<ffffffff81550d60>] dev_close+0x70/0x90

How we get to dev_close() is different

Comment 3 Stanislaw Gruszka 2013-08-23 07:58:49 UTC
Do you still can reproduce the problem on 3.10 kernel ?

Comment 4 Justin M. Forbes 2013-10-18 21:15:01 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.